/* ------------------------------------------------------------------------
 *	memory.h  --  part of DownScript
 * ------------------------------------------------------------------------
 *
 *	Copyright (c) 1998-1999  Andrew Apted  <ajapted@netspace.net.au>
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License as
 *	published by the Free Software Foundation; either version 2, or
 *	(at your option) any later version.
 *
 *	You should have received a copy of the GNU General Public
 *	License along with this program; see the file COPYING.  If
 *	not, write to the Free Software Foundation, Inc., 59 Temple
 *	Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * ------------------------------------------------------------------------
 */

#ifndef _DOWNSCRIPT_MEMORY_H
#define _DOWNSCRIPT_MEMORY_H

#include <stdlib.h>


extern void init_memory(void);
extern void exit_memory(void);

extern void *safe_malloc(size_t size);
extern void  safe_free(void *ptr);

extern char *safe_strdup(char *str);
extern char *safe_strconcat(char *s1, char *s2);


#endif  /* _DOWNSCRIPT_MEMORY_H */
